package cn.com.countrygarden.bi.main.service.personnel;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.PersonInfoVO;
import cn.com.countrygarden.bi.main.dto.wcx.WcxRegionProjectDto;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.dup.DupOrgan;
import cn.com.countrygarden.bi.main.model.sys.UserRoles;

public interface PersonnelCommenService {

	
	List<String> findRole(AccessToken accessToken,String userquyu);

	
	 Result queryadByUid(String search,AccessToken accessToken);
	
	 Result findRoleregionName(AccessToken accessToken);
	  Map<String, Object> findRoleInfoMap(String sysUserCode);
	  
	  
	  String findboolean(AccessToken accessToken,String userid,String identitys,String userquyu);
	 
	 List<String> findErpRegionByUserCode(String userCode);
	 

	 List<DupOrgan> findDupCommByUserCode(String userCode, String organCode,boolean isManager);
	  
}
